"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFunctionDefinition = void 0;
const node_assert_1 = __importDefault(require("node:assert"));
const getFunctionDefinition = (functionConfigurations, functionCategoryMap, meta) => {
    var _a;
    const funcDefList = [];
    for (const configuration of functionConfigurations) {
        const funcDef = {};
        funcDef.entry = configuration === null || configuration === void 0 ? void 0 : configuration.Handler;
        funcDef.name = configuration === null || configuration === void 0 ? void 0 : configuration.FunctionName;
        funcDef.timeoutSeconds = configuration === null || configuration === void 0 ? void 0 : configuration.Timeout;
        funcDef.memoryMB = configuration === null || configuration === void 0 ? void 0 : configuration.MemorySize;
        funcDef.environment = configuration === null || configuration === void 0 ? void 0 : configuration.Environment;
        funcDef.runtime = configuration === null || configuration === void 0 ? void 0 : configuration.Runtime;
        const functionName = configuration === null || configuration === void 0 ? void 0 : configuration.FunctionName;
        (0, node_assert_1.default)(functionName);
        const functionRecordInMeta = Object.entries(meta.function).find(([_, value]) => value.output.Name === functionName);
        (0, node_assert_1.default)(functionRecordInMeta);
        funcDef.category = (_a = functionCategoryMap.get(functionRecordInMeta[0])) !== null && _a !== void 0 ? _a : 'function';
        funcDef.resourceName = functionRecordInMeta[0];
        funcDefList.push(funcDef);
    }
    return funcDefList;
};
exports.getFunctionDefinition = getFunctionDefinition;
//# sourceMappingURL=function_render_adapter.js.map